package com.waytous.anticollision.tcp

/**
 * 消息同步监听器
 * */
interface SyncMessageListener<in T> {

    /**
     * 设备注册
     * @param payload
     * */
    fun onSignUp(payload:T)

    /**
     * 平台通用应答
     * @param payload
     * */
    fun onCommonResponse(payload:T)

    /**
     * 平台下发通知
     * @param payload
     * */
    fun onDeviceSetting(payload:T)
}